## org.apache.cassandra.cql3.statements
Class ParsedStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement

Direct Known Subclasses:
  CFStatement, UseStatement

    public abstract class ParsedStatement

extends java.lang.Object

Nested Class Summary
`static class` `ParsedStatement.Prepared`

Constructor Summary
`ParsedStatement()`

Method Summary
`int` `getBoundsTerms()`
`abstract ParsedStatement.Prepared` `prepare()`
`void` `setBoundTerms(int boundTerms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsedStatement

    public ParsedStatement()

Method Detail

### getBoundsTerms

    public int getBoundsTerms()

### setBoundTerms

    public void setBoundTerms(int boundTerms)

### prepare

    public abstract ParsedStatement.Prepared prepare()
                                              throws InvalidRequestException

  Throws:
    `InvalidRequestException`

Copyright © 2013 The Apache Software Foundation